footer {
    display: grid;
    width: 100%;
    aspect-ratio: 4.63;
    grid-template-rows: 369.55fr 45fr;
}

.footer-top{
    background-color: #0C2044;
    display: grid;
    grid-template-columns: 1.647fr 1fr 1fr 1.1765fr 1.059fr;
    padding: 76.78px 76.8px;
    padding-left: 4%;
}

.footer-bottom{
    background-color: #96C11F;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.footer-logo-container{
    /* background-color: green; */
    padding-right: 28.5%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 32px;
}

.links-container{
    display: flex;
    flex-direction: column;
}

.kontakt-container{
}

.social-media-links{
    display: flex;
    gap: 16px;
}

.social-media-links img{
    width: 23px;
}

.links-container h2{
    color: #96C11F;
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 20px;
}

.links-container a{
    color: #96C11F;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 12px;
}

.kontakt-container h2{
    color: #96C11F;
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 20px;
}

.kontakt-container p{
    color: #96C11F;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 12px;
}

.kontakt-container a{
    color: #96C11F;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 12px;
}

.footer-bottom .rights-reserved{
    color: #C8D5DC;
    margin-bottom: 0;
    font-size: 16px;
    font-weight: 400;
    text-align: center;
}

@media (max-width: 800px) {
    .links-container h2, .kontakt-container h2 {
        font-size: 18px;
    }

    .links-container a, .kontakt-container p, .kontakt-container a {
        font-size: 14px;
    }

    .footer-top{
        gap: 40px;
    }

    .footer-logo-container{
        width: 200px;
        padding-right: 0;
    }
}

@media (max-width: 650px){
    .links-container h2, .kontakt-container h2 {
        font-size: 16px;
    }

    .links-container a, .kontakt-container p, .kontakt-container a {
        font-size: 12px;
    }

    .footer-top{
        gap: 20px;
    }

    .footer-logo-container{
        width: 120px;
    }
}

@media (max-width: 450px){
    .links-container h2, .kontakt-container h2 {
        font-size: 14px;
    }

    .links-container a, .kontakt-container p, .kontakt-container a {
        font-size: 10px;
    }

    .footer-top{
        gap: 15px;
    }

    .footer-logo-container{
        width: 100px;
    }
}

